Bug 507656 - Gnome font sizes incorrect when using radeonhd driver
Gnome font sizes incorrect when using radeonhd driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 12:30 EDT by Tom McLaughlin
Modified: 2010-03-09 18:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-09 18:34:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McLaughlin 2009-06-23 12:30:57 EDT
Description of problem:
When using the radeonhd Xorg driver and logging into Gnome fonts are not the correct size.  I need to go to System->Preferences->Appearance and as soon as that window opens up all fonts revert to their correct size.  This does not occur when using the radeon driver


Version-Release number of selected component (if applicable):
Fedora 11 (Unchecked on 10)

How reproducible:
Everytime.


Steps to Reproduce:
1. Adjust font sizes from the default Gnome values.  For instance, decrease them.
1. Setup xorg.conf to use radeonhd driver.
2. Login to Gnome.
3. See font sizes are using the Gnome default sizes.
4. Open up Appearance preferences and see fonts revert to correctly set sizes.

Additional info:
xorg.conf is attached.
Comment 1 Matěj Cepl 2009-11-05 13:33:03 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Chris Campbell 2009-12-06 10:33:28 EST
Tom, if you have updated your system per Comment #1, or upgraded to Fedora 12, is this still an issue for you?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Matěj Cepl 2010-02-26 07:26:22 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 4 Tom McLaughlin 2010-03-09 13:41:30 EST
Hi, this may be closed.  Can't reproduce this issue in F12 and so far the radeonhd driver apears to be working fine.  Thanks.
Comment 5 Chris Campbell 2010-03-09 18:34:21 EST
The original request was submitted against Fedora 11 and cannot now be reproduced by the original reporter using Fedora 12. Per https://fedoraproject.org/wiki/BugZappers/How_to_Triage#How_to_Handle_Bugs_in_Multiple_Versions section 13, this bug is being set status CLOSED NEXTRELEASE.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.